Bug 252257 - textproc/mgdiff: fix the build on -CURRENT
Summary: textproc/mgdiff: fix the build on -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 252245
  Show dependency treegraph
 
Reported: 2020-12-29 05:58 UTC by Kyle Evans
Modified: 2021-04-08 19:31 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
git(1) diff against the ports tree (697 bytes, patch)
2020-12-29 05:58 UTC, Kyle Evans
no flags Details | Diff
svn diff for textproc/mgdiff version 2 (update to previous) (309 bytes, patch)
2020-12-30 21:42 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff for textproc/mgdiff version 3 (fix against version 2) (309 bytes, patch)
2020-12-30 21:46 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff version 4 for textproc/mgdiff (309 bytes, patch)
2021-02-23 05:45 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
svn diff for textproc/mgdiff version 5 (final) (310 bytes, patch)
2021-02-23 06:29 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2020-12-29 05:58:32 UTC
Created attachment 221076 [details]
git(1) diff against the ports tree

libgnuregex has been removed in -CURRENT. Switch to using the newer version that's provided in ports as of ports r559542.
Comment 1 Chris Hutchinson 2020-12-29 07:15:47 UTC
Comment on attachment 221076 [details]
git(1) diff against the ports tree

Approved.
Thanks, Kyle!
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-30 18:30:11 UTC
^Triage: Reporter is committer, assign accordingly.

Q/A: 
 Makefile: LIB_DEPENDS don't specify the ABI version number .6 in libgnuregex.so.6 unless it is really necessary.
 Makefile: LIB_DEPENDS the new format is libFOO.so (e.g., liblibgnuregex.so.6.so).
Comment 3 Chris Hutchinson 2020-12-30 21:27:46 UTC
(In reply to Fernando Apesteguía from comment #2)
I'll address your concerns with a new patch shortly.
Comment 4 Chris Hutchinson 2020-12-30 21:42:56 UTC
Created attachment 221112 [details]
svn diff for textproc/mgdiff version 2 (update to previous)

This is an update to address comment #2
Comment 5 Chris Hutchinson 2020-12-30 21:46:41 UTC
Created attachment 221113 [details]
svn diff for textproc/mgdiff version 3 (fix against version 2)

OOPS!
Please use this one instead.
Comment 6 Kyle Evans freebsd_committer 2021-01-10 17:48:57 UTC
Same as on PR 252258; LIB_DEPENDS apparently cannot cope with pkgname>0 style test.
Comment 7 Chris Hutchinson 2021-02-23 05:45:58 UTC
Created attachment 222744 [details]
svn diff version 4 for textproc/mgdiff

This should be the final version of a patch to fix
textproc/mgdiff. It comes as a result of work done
by kyle regarding the handling of lib versions.

Please commit. :-)

Thanks!

--Chris
Comment 8 Chris Hutchinson 2021-02-23 06:29:32 UTC
Created attachment 222746 [details]
svn diff for textproc/mgdiff version 5 (final)

Sorry. I diffed the file before saving the changes.
This diff corrects that.

Please commit.

Thanks.

--Chris
Comment 9 Kurt Jaeger freebsd_committer 2021-02-24 18:53:35 UTC
testbuild@work
Comment 10 Kurt Jaeger freebsd_committer 2021-03-04 19:40:24 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2021-03-04 19:40:50 UTC
A commit references this bug:

Author: pi
Date: Thu Mar  4 19:40:10 UTC 2021
New revision: 567336
URL: https://svnweb.freebsd.org/changeset/ports/567336

Log:
  textproc/mgdiff: fix the build on -CURRENT

  - libgnuregex has been removed in -CURRENT. Switch to using the
    newer version that's provided in ports as of ports r559542

  PR:		252257
  Submitted by:	kevans
  Reviewed by:	fernape
  Approved by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)

Changes:
  head/textproc/mgdiff/Makefile
Comment 12 Chris Hutchinson 2021-04-08 19:23:55 UTC
This needs to merged to quarterly.
pkg-fallout continues to complain.

Please merge to quarterly.

Thanks! :-)
Comment 13 Kurt Jaeger freebsd_committer 2021-04-08 19:31:43 UTC
Hmm, the new quarterly was just created, so it should already
be in 2021Q2 ? Besides, I first have to learn the git workflow 8-}